    Program g01kffe

!     G01KFF Example Program Text

!     Mark 24 Release. NAG Copyright 2012.

!     .. Use Statements ..
      Use nag_library, Only: g01kff, nag_wp
!     .. Implicit None Statement ..
      Implicit None
!     .. Parameters ..
      Integer, Parameter               :: nin = 5, nout = 6
!     .. Local Scalars ..
      Real (Kind=nag_wp)               :: a, b, f, x
      Integer                          :: ifail
!     .. Executable Statements ..
      Write (nout,*) 'G01KFF Example Program Results'
      Write (nout,*)

!     Skip heading in data file
      Read (nin,*)

!     Display titles
      Write (nout,*) '      X            A            B          RESULT'
      Write (nout,*)

d_lp: Do
        Read (nin,*,Iostat=ifail) x, a, b
        If (ifail/=0) Then
          Exit d_lp
        End If

        ifail = 0
        f = g01kff(x,a,b,ifail)

!       Display results
        Write (nout,99999) x, a, b, f
      End Do d_lp

99999 Format (1X,1P,4(1X,E12.4))
    End Program g01kffe
